Query parameters
-
Comma separated list of relationships to include in the response. Valid relationships are [initiatedBy].
-
Filter by a comma separated list of UUIDs.
-
Filter by a comma separated list of import types.
-
Exclude a comma separated list of import types.
-
Filter by a comma separated list of import modes.
-
Filter by a comma separated list of import statuses.
-
Filter imports created on or after this date (Y-m-d).
-
Filter imports created on or before this date (Y-m-d).
-
Filter by the UUID of the employee who ran the import.
-
Field to sort by. Valid fields are [created_at, updated_at]. Negative sign to denote DESC. Defaults to 'created_at'.
-
Number of results to return with pagination (Default 15. Max 500).
GET
/api/v1/import
curl \
--request GET 'https://api.plannrcrm.com/api/v1/import' \
--header "Authorization: Bearer $ACCESS_TOKEN"
Response examples (200)
{
"data": [
{
"uuid": "9d4ff789-355c-48dc-8b5b-209c884f2a4c",
"created_at": "2026-09-17T15:10:58+01:00",
"updated_at": "2026-09-17T15:10:58+01:00",
"type": "clients",
"mode": "store",
"headers": [
"fname",
"lname",
"email"
],
"mapping": {
"fname": "first_name",
"lname": "last_name",
"email": "email"
},
"importable_uuid": "c4a56e36-0278-4ba8-8fbb-8dc748e853c7",
"parameters": {
"revenue_type_mapping": {
"IF": "initial_fee",
"ADJ": "adjustment"
}
},
"status": "processing",
"total_jobs": 4,
"progress": 100,
"jobs_remaining": 1,
"failed_jobs": 1,
"error_report": {
"uuid": "1247f2d9-cbc9-4edf-86f6-680bb4ef3636",
"created_at": "2026-09-17T15:10:58+01:00",
"original_created_at": "2026-09-17T15:10:58+01:00",
"updated_at": "2026-09-17T15:10:58+01:00",
"uploaded_at": "2026-09-17T15:10:58+01:00",
"status": "uploaded",
"filename": "Welcome to Plannr.pdf",
"name": "Welcome to Plannr",
"extension": "pdf",
"type": "type",
"size": "21691783",
"path": "Gareth Thompson/Subfolder/Welcome to Plannr.pdf",
"last_modified": "2026-09-17T15:10:58+01:00",
"progress": "100",
"download_url": "https://api.plannrcrm.com/file/86181456-1227-4a93-a698-257b92594429/download",
"preview_url": "https://api.plannrcrm.com/file/36044162-3d1f-4d25-94c7-b15ea81605b1/preview",
"folder_name": "folder 2",
"folder": {
"uuid": "fa6fca96-7a83-434b-84b9-6affd0c3fa98",
"created_at": "2026-09-17T15:11:06+01:00",
"updated_at": "2026-09-17T15:11:06+01:00",
"name": "Important Documents",
"slug": "important-documents",
"path": "Codepotato/Important Documents",
"clients_read": true,
"clients_write": true,
"show_client_permissions": true,
"is_system_folder": true,
"is_pseudo_folder": true,
"is_root_folder": true,
"documentable_type": "account",
"documentable_uuid": "account",
"documentable": "Object",
"participants_count": 3,
"folders_count": 5,
"files_count": 8,
"depth": 5,
"owned": false
},
"documentable_type": "account",
"documentable": "Object",
"navigator": {
"model_type": "account",
"model_uuid": "32dc5276-a240-4ad3-a385-cb46036f2f71"
},
"firm": {
"uuid": "d355ba09-9cee-4a44-ae85-fc73f624ea21",
"created_at": "2026-09-17T15:11:06+01:00",
"updated_at": "2026-09-17T15:11:06+01:00",
"name": "Codepotato",
"slug": "codepotato",
"address_1": "Suite E, 5 The Briars",
"address_2": "Waterberry Drive",
"town_city": "Waterlooville",
"county": "Hampshire",
"postcode": "PO7 7YH",
"country": "United Kingdom",
"regulatory_text": "Regulatory text",
"logo": "https://api.plannrcrm.com/images/plannr.jpg",
"logo_icon": "https://api.plannrcrm.com/images/plannr-icon.jpg",
"brand_colours": {
"sidebar_background": "#0E0E56",
"sidebar_accent": "#36367E",
"sidebar_text": "#FFFFFF",
"sidebar_hover": "#0A0A42",
"sidebar_active": "#53DBB8",
"sidebar_title_background": "#36367E",
"sidebar_title_primary": "#FFC634",
"sidebar_title_secondary": "#FFFFFF",
"sidebar_title_secondary_hover": "#FFFFFF",
"email_background": "#0E0E56",
"email_logo_background_panel": "#36367E",
"email_sub_text": "#FFFFFF",
"email_button_background": "#36367E",
"email_button_text": "#FFFFFF",
"portal_sidebar_button_background": "#F6F6F6",
"portal_sidebar_button_hover": "#FFFFFF",
"portal_sidebar_button_active": "#FFFFFF",
"portal_brand_title": "#323B4B",
"portal_brand_sub_title": "#828994",
"portal_sidebar_title": "#11151D",
"portal_sidebar_text": "#323B4B",
"portal_sidebar_text_hover": "#323B4B",
"portal_sidebar_text_active": "#323B4B",
"portal_sidebar_icon": "#828994",
"portal_sidebar_icon_hover": "#828994",
"portal_sidebar_icon_active": "#828994",
"portal_background": "#F6F6F6",
"portal_sidebar_account_title": "#11151D",
"portal_sidebar_account_email": "#828994",
"portal_sidebar_divider": "#E3E5E9",
"portal_dashboard_bg_one": "#EF4583",
"portal_dashboard_bg_two": "#FFC634",
"portal_sidebar_collapse_button": "#828994",
"portal_sidebar_collapse_button_hover": "#B3B9C4",
"portal_sidebar_user_select_background": "#F6F6F6",
"portal_sidebar_user_select_hover": "#F6F6F6",
"portal_sidebar_user_select_text": "#323B4B",
"portal_sidebar_user_select_text_hover": "#323B4B",
"portal_sidebar_user_select_border": "#EEEEEE",
"portal_sidebar_user_select_border_hover": "#828994"
},
"factfind_pdf_header_background": "#0E0E56",
"factfind_pdf_header_text": "#ffffff",
"factfind_pdf_logo": "https://api.plannrcrm.com/images/plannr.jpg",
"is_subscribed": true,
"keep_deleted_files_for": 30,
"tax": 17.5,
"month_end": 25,
"statement_frequency": "monthly",
"billing": {
"invoice_address_1": "Suite E, 5 The Briars",
"invoice_address_2": "Waterberry Drive",
"invoice_town_city": "Waterlooville",
"invoice_county": "Hampshire",
"invoice_postcode": "PO7 7YH",
"invoice_country": "United Kingdom",
"invoice_email": "gareth@codepotato.co.uk"
},
"ip_whitelist": [
"192.168.0.1",
"127.0.0.1"
],
"welcome_paragraph_html": "<h1>Welcome.</h1>",
"email_welcome_paragraph_html": "Welcome to Plannr!",
"show_fact_find_illustrations": true,
"cc_email_addresses": [
"jack@example.com",
"jill@example.com"
],
"bcc_email_addresses": [
"jack@example.com",
"jill@example.com"
],
"reply_to_email_address": "jack@example.com",
"mobile_app_support_number": "01234 567890",
"mobile_app_support_email": "support@example.com"
},
"account": {
"uuid": "b2ec423c-0b59-4cd5-b1d4-c26377469036",
"created_at": "2026-09-17T15:11:06+01:00",
"updated_at": "2026-09-17T15:11:06+01:00",
"type": "client",
"role": "client",
"first_name": "Gareth",
"last_name": "Thompson",
"name": "Gareth Thompson",
"email": "gareth@codepotato.co.uk",
"photo_url": "https://eu.ui-avatars.com/api/?name=Gareth+Thompson"
},
"tags": {
"uuid": "bf933c8e-ee79-42cf-8b3e-27a8474e6a7b",
"created_at": "2026-09-17T15:11:06+01:00",
"updated_at": "2026-09-17T15:11:06+01:00",
"name": "Mortgage",
"slug": "mortgage",
"colour": "#ef4582"
}
},
"errors": {
"client": {
"example": [],
"description": "Client that failed importing"
},
"errors": {
"example": {
"send_welcome_email": [
"The send welcome email field is required."
]
},
"description": "The reasons why the client failed importing"
}
},
"account": {
"uuid": "659a868e-9b10-4ff7-a961-a9e38f86eb67",
"created_at": "2026-09-17T15:10:58+01:00",
"updated_at": "2026-09-17T15:10:58+01:00",
"type": "client",
"role": "client",
"first_name": "Gareth",
"last_name": "Thompson",
"name": "Gareth Thompson",
"email": "gareth@codepotato.co.uk",
"photo_url": "https://eu.ui-avatars.com/api/?name=gareth+thompson",
"firm": {
"uuid": "d355ba09-9cee-4a44-ae85-fc73f624ea21",
"created_at": "2026-09-17T15:11:06+01:00",
"updated_at": "2026-09-17T15:11:06+01:00",
"name": "Codepotato",
"slug": "codepotato",
"address_1": "Suite E, 5 The Briars",
"address_2": "Waterberry Drive",
"town_city": "Waterlooville",
"county": "Hampshire",
"postcode": "PO7 7YH",
"country": "United Kingdom",
"regulatory_text": "Regulatory text",
"logo": "https://api.plannrcrm.com/images/plannr.jpg",
"logo_icon": "https://api.plannrcrm.com/images/plannr-icon.jpg",
"brand_colours": {
"sidebar_background": "#0E0E56",
"sidebar_accent": "#36367E",
"sidebar_text": "#FFFFFF",
"sidebar_hover": "#0A0A42",
"sidebar_active": "#53DBB8",
"sidebar_title_background": "#36367E",
"sidebar_title_primary": "#FFC634",
"sidebar_title_secondary": "#FFFFFF",
"sidebar_title_secondary_hover": "#FFFFFF",
"email_background": "#0E0E56",
"email_logo_background_panel": "#36367E",
"email_sub_text": "#FFFFFF",
"email_button_background": "#36367E",
"email_button_text": "#FFFFFF",
"portal_sidebar_button_background": "#F6F6F6",
"portal_sidebar_button_hover": "#FFFFFF",
"portal_sidebar_button_active": "#FFFFFF",
"portal_brand_title": "#323B4B",
"portal_brand_sub_title": "#828994",
"portal_sidebar_title": "#11151D",
"portal_sidebar_text": "#323B4B",
"portal_sidebar_text_hover": "#323B4B",
"portal_sidebar_text_active": "#323B4B",
"portal_sidebar_icon": "#828994",
"portal_sidebar_icon_hover": "#828994",
"portal_sidebar_icon_active": "#828994",
"portal_background": "#F6F6F6",
"portal_sidebar_account_title": "#11151D",
"portal_sidebar_account_email": "#828994",
"portal_sidebar_divider": "#E3E5E9",
"portal_dashboard_bg_one": "#EF4583",
"portal_dashboard_bg_two": "#FFC634",
"portal_sidebar_collapse_button": "#828994",
"portal_sidebar_collapse_button_hover": "#B3B9C4",
"portal_sidebar_user_select_background": "#F6F6F6",
"portal_sidebar_user_select_hover": "#F6F6F6",
"portal_sidebar_user_select_text": "#323B4B",
"portal_sidebar_user_select_text_hover": "#323B4B",
"portal_sidebar_user_select_border": "#EEEEEE",
"portal_sidebar_user_select_border_hover": "#828994"
},
"factfind_pdf_header_background": "#0E0E56",
"factfind_pdf_header_text": "#ffffff",
"factfind_pdf_logo": "https://api.plannrcrm.com/images/plannr.jpg",
"is_subscribed": true,
"keep_deleted_files_for": 30,
"tax": 17.5,
"month_end": 25,
"statement_frequency": "monthly",
"billing": {
"invoice_address_1": "Suite E, 5 The Briars",
"invoice_address_2": "Waterberry Drive",
"invoice_town_city": "Waterlooville",
"invoice_county": "Hampshire",
"invoice_postcode": "PO7 7YH",
"invoice_country": "United Kingdom",
"invoice_email": "gareth@codepotato.co.uk"
},
"ip_whitelist": [
"192.168.0.1",
"127.0.0.1"
],
"welcome_paragraph_html": "<h1>Welcome.</h1>",
"email_welcome_paragraph_html": "Welcome to Plannr!",
"show_fact_find_illustrations": true,
"cc_email_addresses": [
"jack@example.com",
"jill@example.com"
],
"bcc_email_addresses": [
"jack@example.com",
"jill@example.com"
],
"reply_to_email_address": "jack@example.com",
"mobile_app_support_number": "01234 567890",
"mobile_app_support_email": "support@example.com"
},
"primary_phone_number": {
"uuid": "15ca94c8-489f-4849-8cdb-2124499076a3",
"created_at": "2026-09-17T15:11:06+01:00",
"updated_at": "2026-09-17T15:11:06+01:00",
"type": "phone_number",
"name": "Work number",
"value": "+443330903630",
"phone_number_meta": {
"country": "GB",
"formatted": "0333 090 3630"
}
},
"primary_email": {
"uuid": "15ca94c8-489f-4849-8cdb-2124499076a3",
"created_at": "2026-09-17T15:11:06+01:00",
"updated_at": "2026-09-17T15:11:06+01:00",
"type": "phone_number",
"name": "Work number",
"value": "+443330903630",
"phone_number_meta": {
"country": "GB",
"formatted": "0333 090 3630"
}
},
"current_time_entry": {
"uuid": "1111be7e-01eb-4fcf-a127-1b2b877d35ef",
"created_at": "2026-09-17T15:11:06+01:00",
"updated_at": "2026-09-17T15:11:06+01:00",
"name": "Research",
"description": "This is a description.",
"trackable_type": "Client",
"start_date": "2026-09-17T14:21:06+01:00",
"end_date": "2026-09-17T14:49:06+01:00",
"is_active": true,
"total_time_in_minutes": 28,
"computed_time_elapsed_in_seconds": 1680
},
"assigned_adviser": {
"uuid": "5d02ad32-4b6f-42c7-ab44-a0c8dcaa032c",
"created_at": "2026-09-17T15:11:06+01:00",
"updated_at": "2026-09-17T15:11:06+01:00",
"type": "client",
"role": "client",
"first_name": "Gareth",
"last_name": "Thompson",
"name": "Gareth Thompson",
"email": "gareth@codepotato.co.uk",
"photo_url": "https://eu.ui-avatars.com/api/?name=gareth+thompson",
"first_contact_date": "2026-09-17T15:11:06+01:00",
"next_review_date": "2026-09-17T15:11:06+01:00",
"previous_review_date": "2026-09-17T15:11:06+01:00",
"anniversary_review_date": "2026-09-17T15:11:06+01:00",
"terms_of_business_at": "2026-09-17T15:11:06+01:00",
"client_agreement_at": "2026-09-17T15:11:06+01:00",
"with_login": true,
"has_joint_account": true,
"can_be_deleted": "false",
"ownership_percentage": 100.0,
"inactive_at": "2026-09-17",
"last_interaction_at": "2026-09-17 15:11:06",
"referral_code": "ABC12345",
"is_out_of_office": true,
"out_of_office_from": "2026-09-17T15:11:06+01:00",
"out_of_office_until": "2026-09-17T15:11:06+01:00",
"out_of_office_message": "I am away this week. For urgent matters please contact the office.",
"is_pending_fact_find_account": false,
"permissions": {
"firm:read": [
"firm"
],
"network:read": [
"network:uuid"
]
}
},
"assigned_administrator": {
"uuid": "5d02ad32-4b6f-42c7-ab44-a0c8dcaa032c",
"created_at": "2026-09-17T15:11:06+01:00",
"updated_at": "2026-09-17T15:11:06+01:00",
"type": "client",
"role": "client",
"first_name": "Gareth",
"last_name": "Thompson",
"name": "Gareth Thompson",
"email": "gareth@codepotato.co.uk",
"photo_url": "https://eu.ui-avatars.com/api/?name=gareth+thompson",
"first_contact_date": "2026-09-17T15:11:06+01:00",
"next_review_date": "2026-09-17T15:11:06+01:00",
"previous_review_date": "2026-09-17T15:11:06+01:00",
"anniversary_review_date": "2026-09-17T15:11:06+01:00",
"terms_of_business_at": "2026-09-17T15:11:06+01:00",
"client_agreement_at": "2026-09-17T15:11:06+01:00",
"with_login": true,
"has_joint_account": true,
"can_be_deleted": "false",
"ownership_percentage": 100.0,
"inactive_at": "2026-09-17",
"last_interaction_at": "2026-09-17 15:11:06",
"referral_code": "ABC12345",
"is_out_of_office": true,
"out_of_office_from": "2026-09-17T15:11:06+01:00",
"out_of_office_until": "2026-09-17T15:11:06+01:00",
"out_of_office_message": "I am away this week. For urgent matters please contact the office.",
"is_pending_fact_find_account": false,
"permissions": {
"firm:read": [
"firm"
],
"network:read": [
"network:uuid"
]
}
},
"assigned_paraplanner": {
"uuid": "5d02ad32-4b6f-42c7-ab44-a0c8dcaa032c",
"created_at": "2026-09-17T15:11:06+01:00",
"updated_at": "2026-09-17T15:11:06+01:00",
"type": "client",
"role": "client",
"first_name": "Gareth",
"last_name": "Thompson",
"name": "Gareth Thompson",
"email": "gareth@codepotato.co.uk",
"photo_url": "https://eu.ui-avatars.com/api/?name=gareth+thompson",
"first_contact_date": "2026-09-17T15:11:06+01:00",
"next_review_date": "2026-09-17T15:11:06+01:00",
"previous_review_date": "2026-09-17T15:11:06+01:00",
"anniversary_review_date": "2026-09-17T15:11:06+01:00",
"terms_of_business_at": "2026-09-17T15:11:06+01:00",
"client_agreement_at": "2026-09-17T15:11:06+01:00",
"with_login": true,
"has_joint_account": true,
"can_be_deleted": "false",
"ownership_percentage": 100.0,
"inactive_at": "2026-09-17",
"last_interaction_at": "2026-09-17 15:11:06",
"referral_code": "ABC12345",
"is_out_of_office": true,
"out_of_office_from": "2026-09-17T15:11:06+01:00",
"out_of_office_until": "2026-09-17T15:11:06+01:00",
"out_of_office_message": "I am away this week. For urgent matters please contact the office.",
"is_pending_fact_find_account": false,
"permissions": {
"firm:read": [
"firm"
],
"network:read": [
"network:uuid"
]
}
},
"introduced_by": {
"uuid": "5d02ad32-4b6f-42c7-ab44-a0c8dcaa032c",
"created_at": "2026-09-17T15:11:06+01:00",
"updated_at": "2026-09-17T15:11:06+01:00",
"type": "client",
"role": "client",
"first_name": "Gareth",
"last_name": "Thompson",
"name": "Gareth Thompson",
"email": "gareth@codepotato.co.uk",
"photo_url": "https://eu.ui-avatars.com/api/?name=gareth+thompson",
"first_contact_date": "2026-09-17T15:11:06+01:00",
"next_review_date": "2026-09-17T15:11:06+01:00",
"previous_review_date": "2026-09-17T15:11:06+01:00",
"anniversary_review_date": "2026-09-17T15:11:06+01:00",
"terms_of_business_at": "2026-09-17T15:11:06+01:00",
"client_agreement_at": "2026-09-17T15:11:06+01:00",
"with_login": true,
"has_joint_account": true,
"can_be_deleted": "false",
"ownership_percentage": 100.0,
"inactive_at": "2026-09-17",
"last_interaction_at": "2026-09-17 15:11:06",
"referral_code": "ABC12345",
"is_out_of_office": true,
"out_of_office_from": "2026-09-17T15:11:06+01:00",
"out_of_office_until": "2026-09-17T15:11:06+01:00",
"out_of_office_message": "I am away this week. For urgent matters please contact the office.",
"is_pending_fact_find_account": false,
"permissions": {
"firm:read": [
"firm"
],
"network:read": [
"network:uuid"
]
}
},
"business_unit": {
"uuid": "aadc69bb-c273-4714-a392-c08f63ce2828",
"name": "Wealth Management",
"has_alternative_branding": false,
"brand_colours": [],
"members_count": 3,
"groups_count": 2,
"created_at": "2026-09-17T15:11:06+01:00",
"updated_at": "2026-09-17T15:11:06+01:00"
},
"groups": {
"uuid": null,
"name": "finance",
"slug": "finance",
"participants_count": "3",
"participants": {
"uuid": {
"example": null,
"description": "UUID of the account"
},
"role": {
"example": "client",
"description": "Role of the account"
},
"first_name": {
"example": "Gareth",
"description": "First name of the account"
},
"last_name": {
"example": "Thompson",
"description": "Last name of the account"
},
"name": {
"example": "Gareth Thompson",
"description": "Name of the account"
},
"email": {
"example": "gareth@codepotato.co.uk",
"description": "Email of the account"
}
},
"created_at": "2026-09-17T15:11:06+01:00",
"updated_at": "2026-09-17T15:11:06+01:00"
},
"tags": {
"uuid": "bf933c8e-ee79-42cf-8b3e-27a8474e6a7b",
"created_at": "2026-09-17T15:11:06+01:00",
"updated_at": "2026-09-17T15:11:06+01:00",
"name": "Mortgage",
"slug": "mortgage",
"colour": "#ef4582"
},
"owners": {
"uuid": "5d02ad32-4b6f-42c7-ab44-a0c8dcaa032c",
"created_at": "2026-09-17T15:11:06+01:00",
"updated_at": "2026-09-17T15:11:06+01:00",
"type": "client",
"role": "client",
"first_name": "Gareth",
"last_name": "Thompson",
"name": "Gareth Thompson",
"email": "gareth@codepotato.co.uk",
"photo_url": "https://eu.ui-avatars.com/api/?name=gareth+thompson",
"first_contact_date": "2026-09-17T15:11:06+01:00",
"next_review_date": "2026-09-17T15:11:06+01:00",
"previous_review_date": "2026-09-17T15:11:06+01:00",
"anniversary_review_date": "2026-09-17T15:11:06+01:00",
"terms_of_business_at": "2026-09-17T15:11:06+01:00",
"client_agreement_at": "2026-09-17T15:11:06+01:00",
"with_login": true,
"has_joint_account": true,
"can_be_deleted": "false",
"ownership_percentage": 100.0,
"inactive_at": "2026-09-17",
"last_interaction_at": "2026-09-17 15:11:06",
"referral_code": "ABC12345",
"is_out_of_office": true,
"out_of_office_from": "2026-09-17T15:11:06+01:00",
"out_of_office_until": "2026-09-17T15:11:06+01:00",
"out_of_office_message": "I am away this week. For urgent matters please contact the office.",
"is_pending_fact_find_account": false,
"permissions": {
"firm:read": [
"firm"
],
"network:read": [
"network:uuid"
]
}
},
"first_contact_date": "2026-09-17T15:10:58+01:00",
"next_review_date": "2026-09-17T15:10:58+01:00",
"previous_review_date": "2026-09-17T15:10:58+01:00",
"anniversary_review_date": "2026-09-17T15:10:58+01:00",
"terms_of_business_at": "2026-09-17T15:10:58+01:00",
"client_agreement_at": "2026-09-17T15:10:58+01:00",
"with_login": true,
"has_joint_account": true,
"can_be_deleted": "false",
"joint_account_circle": {
"uuid": "ade35533-491d-4263-9152-000ed2f17dd4",
"created_at": "2026-09-17T15:11:06+01:00",
"updated_at": "2026-09-17T15:11:06+01:00",
"name": "Jones Family",
"photo_url": "https://eu.ui-avatars.com/api/?name=jones+family",
"bg_colour": "#35f4e1",
"has_portal_access": true,
"portal_access_status": "active",
"engagement_rating": "green",
"last_login": {
"logged_in_at": "2026-09-17T15:11:06+01:00",
"account_uuid": "uuid",
"account_name": "John Smith",
"device_type": "desktop",
"device_platform": "macos"
},
"portal_login_count_30d": 5,
"portal_login_count_90d": 12,
"portal_login_count_365d": 48,
"joint_account_uuid": "e5dc9400-31a0-4a1b-8b98-65a97a9f6ffa",
"login_access_level": "write",
"current_life_stage_uuid": "7a840170-947a-40e2-beb9-4606f4519b93"
},
"circles": {
"uuid": "ade35533-491d-4263-9152-000ed2f17dd4",
"created_at": "2026-09-17T15:11:06+01:00",
"updated_at": "2026-09-17T15:11:06+01:00",
"name": "Jones Family",
"photo_url": "https://eu.ui-avatars.com/api/?name=jones+family",
"bg_colour": "#35f4e1",
"has_portal_access": true,
"portal_access_status": "active",
"engagement_rating": "green",
"last_login": {
"logged_in_at": "2026-09-17T15:11:06+01:00",
"account_uuid": "uuid",
"account_name": "John Smith",
"device_type": "desktop",
"device_platform": "macos"
},
"portal_login_count_30d": 5,
"portal_login_count_90d": 12,
"portal_login_count_365d": 48,
"joint_account_uuid": "e5dc9400-31a0-4a1b-8b98-65a97a9f6ffa",
"login_access_level": "write",
"current_life_stage_uuid": "7a840170-947a-40e2-beb9-4606f4519b93"
},
"ownership_percentage": 100,
"inactive_at": "2026-09-17",
"last_interaction_at": "2026-09-17 15:10:58",
"referral_code": "ABC12345",
"is_out_of_office": true,
"out_of_office_from": "2026-09-17T15:10:58+01:00",
"out_of_office_until": "2026-09-17T15:10:58+01:00",
"out_of_office_message": "I am away this week. For urgent matters please contact the office.",
"service_level": {
"uuid": "9553825c-c4c3-4902-857e-7d28b0dd68d1",
"name": "Gold",
"created_at": "2026-09-17T15:11:06+01:00",
"updated_at": "2026-09-17T15:11:06+01:00"
},
"is_pending_fact_find_account": false,
"permissions": {
"firm:read": [
"firm"
],
"network:read": [
"network:uuid"
]
},
"custom_fields": {
"uuid": null,
"created_at": "2026-09-17T15:11:06+01:00",
"updated_at": "2026-09-17T15:11:06+01:00",
"type": "string",
"name": "Favourite Drink",
"reference": "favourite_drink",
"is_required": false,
"value": "Coffee",
"selection_options": [
"Coffee",
"Tea",
"Water"
],
"help_text": "This is the client's favourite drink."
},
"external_references": {
"uuid": "eed66603-e4be-4584-bc91-6f9a5c327f4b",
"created_at": "2026-09-17T15:11:06+01:00",
"updated_at": "2026-09-17T15:11:06+01:00",
"third_party": "nucleus",
"reference": "AB123456"
}
}
}
]
}